For the complete documentation index, see llms.txt. This page is also available as Markdown.

Started sessions

To see how many sessions each unique participant (tracked by browser uuid) has started -> execute a GET request against /statistics/participants/started-sessions.

You can page through the records with limit and offset params.

api/v1/statistics/participants/started-sessions?limit=100&offset=200

You can also choose a custom period with the date_start and date_end query params.

api/v1/statistics/participants/started-sessions?date_start=2025-08-01&date_end=2025-08-31&limit=100&offset=200

Request

curl --request GET \
  --url https://api.digitalsamba.com/api/v1/statistics/participants/started-sessions \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());

HttpRequest request = HttpRequest.newBuilder()
  .GET()
  .uri(new URI("https://api.digitalsamba.com/api/v1/statistics/participants/started-sessions"))
  .header("Authorization", authorizationHeader)
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());

Response (200 OK)

{
    "total_count": 545,
    "data": [
        {
            "browser_id": "57f516f8-6ca4-4fda-a528-7b86a4a9fc4d",
            "sessions_started": 2088
        },
        ...............
    ]
}

The total_count is the total amount of unique participants that started a session. It is NOT the amount of participants in the current page returned in the data array. In the above example you have 545 participants in total, but in the data array there will be maximum 100 participants (the default limit argument value).

Last updated